Bug 1249129 - Fix {,Build}Requires
Fix {,Build}Requires
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpkg (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: cqi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 10:56 EDT by Mathieu Bridon
Modified: 2016-09-06 14:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-06 09:18:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix {,Build}Requires (2.59 KB, patch)
2015-07-31 10:56 EDT, Mathieu Bridon
no flags Details | Diff
Fix {,Build}Requires (3.01 KB, patch)
2016-07-19 16:09 EDT, Mathieu Bridon
no flags Details | Diff

  None (edit)
Description Mathieu Bridon 2015-07-31 10:56:16 EDT
Created attachment 1058071 [details]
Fix {,Build}Requires

See the attached patch.
Comment 1 Fedora End Of Life 2016-07-19 13:17:53 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 2 Pavol Babinčák 2016-07-19 13:20:03 EDT
Maybe this shouldn't be dropped yet.
Comment 3 Fedora End Of Life 2016-07-19 15:46:14 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Mathieu Bridon 2016-07-19 15:54:47 EDT
Seems I didn't have ACLs on rpkg back when I opened this bug (so long ago I had forgotten about it).

But I do now, so I'll just apply the patch and push.

I'm not sure it makes much sense making an update just for this, so even though I'll apply it to all branches, I think I'll only build it in Rawhide, other branches can be rebuilt next time there's an actual update to make.

Does that sound good?
Comment 5 Mathieu Bridon 2016-07-19 16:08:24 EDT
> But I do now, so I'll just apply the patch and push.

Except I don't in Rawhide and Fedora 24. :)
Comment 6 Mathieu Bridon 2016-07-19 16:09 EDT
Created attachment 1181810 [details]
Fix {,Build}Requires

The hashlib module is included in the main python package for all the
branches of Fedora and EPEL that we care about. As such, there is no
need to explicitly list it as a requirement any more.
    
The argparse module is included in the main python package for all the
branches of Fedora, and for EPEL starting with version 7. As such, let's
make it explicit when it is a requirement, so that we can eventually
drop it in the future when we don't care about EPEL 6 any more.
    
Finally, rpkg itself does not need anything related to osbs, only pyrpkg
does.
Comment 7 Jan Kurik 2016-07-26 00:10:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 8 Charalampos Stratakis 2016-09-05 11:13:56 EDT
Will drop these provides in python SPEC soon, so would it be possible to push the patch for rpkg?
Comment 9 Mathieu Bridon 2016-09-06 05:08:27 EDT
Lubomir seems to have pushed a similar patch already, which solves this issue.
Comment 10 Charalampos Stratakis 2016-09-06 05:28:00 EDT
(In reply to Mathieu Bridon from comment #9)
> Lubomir seems to have pushed a similar patch already, which solves this
> issue.

Yep a commit is pushed with fixed requires, however no new builds as of yet (and package release was not incremented in the commit), so I guess when the package is rebuilt this bugzilla can be closed.
Comment 11 Lubomír Sedlář 2016-09-06 05:59:23 EDT
I only patched the requires. My guess was that this is not an issue big enough to warrant new builds and updates and it could wait for new upstream release. I'm happy to do the builds though if you think it's worth it.
Comment 12 Charalampos Stratakis 2016-09-06 06:03:45 EDT
(In reply to Lubomír Sedlář from comment #11)
> I only patched the requires. My guess was that this is not an issue big
> enough to warrant new builds and updates and it could wait for new upstream
> release. I'm happy to do the builds though if you think it's worth it.

It would be great if you could do a build just for rawhide (since that's where I am going to remove these provides for python), however I tested a rebuilt package with the new commit locally and everything seem ok, so there shouldn't be any issues even without a rebuild currently.
Comment 13 Lubomír Sedlář 2016-09-06 06:36:36 EDT
Done: http://koji.fedoraproject.org/koji/buildinfo?buildID=797796
Comment 14 Charalampos Stratakis 2016-09-06 09:18:07 EDT
(In reply to Lubomír Sedlář from comment #13)
> Done: http://koji.fedoraproject.org/koji/buildinfo?buildID=797796

Thank you very much. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.